As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 610249 - nsWebSocketEstablishedConnection should implement securityInfo attribute
: nsWebSocketEstablishedConnection should implement securityInfo attribute
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking: WebSockets (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Patrick McManus [:mcmanus]
:
: Patrick McManus [:mcmanus]
Mentors:
Depends on: 640003
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-07 11:26 PST by Honza Bambas (:mayhemer)
Modified: 2011-05-24 06:48 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description User image Honza Bambas (:mayhemer) 2010-11-07 11:26:58 PST
I just discovered that nsWebSocketEstablishedConnection throws NS_NOT_IMPLEMENTED when accessing securityInfo readonly attribute though it keeps reference to the socket transport where from we can easily obtain the security info.

When the web socket instance is secure it reports it self as non-secure, I don't think it is a good idea.

If anybody doesn't object I'll implement the method properly.
Comment 1 User image Patrick McManus [:mcmanus] 2011-03-15 09:30:18 PDT
in the websockets -06 patch, nsWebSocketEstablishedConnection no longer implements nsIChannel - so strictly speaking it makes this a nop.

That same patch introduces nsIWebSocketProtocol, which largely plays the role of what established connection used to do, and that idl does define and implement the securityInfo attribute.
Comment 2 User image Patrick McManus [:mcmanus] 2011-05-24 06:48:49 PDT
fixed as part of 640003

Note You need to log in before you can comment on or make changes to this bug.